Skip to main content
`Ctrl`+`K`

# PCCompositeAddPCType

Adds another `PC` of the given type to the composite `PC`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCCompositeAddPCType(PC pc, PCType type)

Collective

## Input Parameters

- pc - the preconditioner context

- type - the type of the new preconditioner

## See Also

KSP: Linear System Solvers, `PCCOMPOSITE`, `PCCompositeAddPC()`, `PCCompositeGetNumberPC()`

## Level

intermediate

## Location

src/ksp/pc/impls/composite/composite.c

## Examples

src/ksp/ksp/tutorials/ex60.c
src/ksp/pc/tutorials/ex4.c
src/ksp/ksp/tutorials/ex71.c

## Implementations

PCCompositeAddPCType_Composite() in src/ksp/pc/impls/composite/composite.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages